#{set 'validationJs'}

<script src="@{'/public/javascripts/jquery.validate.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/custom-validation-method.js'}" type="text/javascript"> </script>

<script type="text/javascript">

    var pages = {};

    $.extend($.validator.messages, {
        required: "This field is required.",
        remote: "Please fix this field.",
        emailAddress: "Please enter a valid email address.",
        phone: "Please enter a valid phone number.",
        alphanumeric: "Please enter only alphanumeric.",
        dateformat: "Invalid date format.",
        url: "Please enter a valid URL.",
        date: "Please enter a valid date.",
        dateISO: "Please enter a valid date (ISO).",
        number: "Please enter a valid number.",
        digits: "Please enter only digits.",
        creditcard: "Please enter a valid credit card number.",
        equalTo: "Please enter the same value again.",
        accept: "Please enter a value with a valid extension.",
        maxlength: jQuery.validator.format("Please enter no more than {0} characters."),
        minlength: jQuery.validator.format("Please enter at least {0} characters."),
        rangelength: jQuery.validator.format("Please enter a value between {0} and {1} characters long."),
        range: jQuery.validator.format("Please enter a value between {0} and {1}."),
        max: jQuery.validator.format("Please enter a value less than or equal to {0}."),
        min: jQuery.validator.format("Please enter a value greater than or equal to {0}.")
    });


    function validPage(index) {
        if (!pages.hasOwnProperty(index)) {
            pages[index] = index;
        }
    }

    function isIndexValid(index) {
        return pages.hasOwnProperty(index);
    }

    function removePage(index) {
        if (pages.hasOwnProperty(index)) {
            delete pages[index];
        }
    }

    function validateCurrentPage(func, tabClicked) {
        tabClicked = tabClicked === undefined ? -1 : tabClicked;
        var data = func;
        data['clicked'] = tabClicked;
        if (data.status) {
            validPage(data.currentIndex);
        } else {
            removePage(data.currentIndex);
        }
        // console.log(JSON.stringify(data));
        return tabClicked === -1 ? data.status : isIndexValid(tabClicked === 0 ? tabClicked : tabClicked - 1);
    }

</script>

#{/set}